# Inscriptions by IDs

This endpoint returns the information & metadata for multiple inscription IDs in a single request.

## GET /v1/inscriptions/batch

> Get inscription info with collection & pricing for a batch of Inscriptions by IDs. Collection and price fields will be undefined if not available. The \`inscriptionIds\` query parameter should be a comma-separated list of Inscription IDs.

```json
{"openapi":"3.0.3","info":{"title":"SecretKeyLabs API","version":"1.0.0"},"tags":[{"name":"Ordinals"}],"servers":[{"url":"https://api.secretkeylabs.io"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","name":"x-api-key","in":"header"}}},"paths":{"/v1/inscriptions/batch":{"get":{"tags":["Ordinals"],"description":"Get inscription info with collection & pricing for a batch of Inscriptions by IDs. Collection and price fields will be undefined if not available. The `inscriptionIds` query parameter should be a comma-separated list of Inscription IDs.","parameters":[{"schema":{"minLength":1,"type":"string"},"in":"query","name":"inscriptionIds","required":true}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"offset":{"type":"number"},"parentIds":{"type":"array","items":{"type":"string"}},"delegateId":{"type":"string"},"blockHeight":{"type":"number"},"contentType":{"type":"string"},"contentLength":{"type":"number"},"effectiveContentType":{"type":"string"},"number":{"type":"number"},"sat":{"type":"number"},"charms":{"type":"array","items":{"type":"string"}},"currentOutput":{"type":"string"},"currentAddress":{"type":"string"},"lastTransferHeight":{"type":"number"},"lastTransferTimestamp":{"type":"number"},"value":{"type":"number"},"contentUrl":{"type":"string"},"renderUrl":{"type":"string"},"collectionId":{"type":"string"},"collectionSymbol":{"type":"string"},"collectionName":{"type":"string"},"collectionFloorPrice":{"type":"object","properties":{"valueInSats":{"type":"string"},"valueInUsd":{"type":"string"}}},"lastInscriptionSalePrice":{"type":"object","properties":{"valueInSats":{"type":"string"},"valueInUsd":{"type":"string"}}},"name":{"type":"string"},"indexerHeight":{"type":"number"}},"required":["id","parentIds","blockHeight","contentLength","number","charms","currentOutput","currentAddress","lastTransferHeight","lastTransferTimestamp","value","contentUrl","renderUrl","collectionFloorPrice","lastInscriptionSalePrice"]}}}}},"400":{"description":"Invalid input","content":{"application/json":{"schema":{"description":"Invalid input","type":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"description":"Unauthorized","type":"string"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"description":"Not found","type":"string"}}}},"429":{"description":"Rate limit exceeded","content":{"application/json":{"schema":{"description":"Rate limit exceeded","type":"string"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"description":"Internal server error","type":"string"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.xverse.app/api/ordinals/inscriptions/inscriptions-by-ids.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
